Docs Rizler

Advanced

Update Webhook Endpoint

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/webhook/{agent_id}
Update Webhook Endpoint
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/webhook/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "webhook_url": "value",
  "webhook_method": "GET",
  "webhook_headers": [],
  "weebhook_endpoint_headers": []
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Webhook Endpoint#

Update webhook endpoint configuration for an AI agent..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

webhook_urlstringbody

max 2048. may be null. send only when changing this field

webhook_methodstringbody

One of: GET, POST. may be null. send only when changing this field

webhook_headersarraybody

may be null. send only when changing this field

weebhook_endpoint_headersarraybody

may be null. send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/webhook/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"webhook_url":"value","webhook_method":"GET","webhook_headers":[],"weebhook_endpoint_headers":[]}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records